## wsjtx 1.1.r3496

=== debian/changelog ===
wsjtx (1.1.r3496-3) unstable; urgency=low

  * remove -mno-stack-arg-probe from lib/Makefile.linux CFLAGS

 -- John T. Nogatch <jnogatch@gmail.com>  Mon, 09 Sep 2013 11:18:44 -0700

wsjtx (1.1.r3496-2) unstable; urgency=low

  * revised debian/copyright
  * restored LICENSE_WHEATLEY.TXT

 -- John T. Nogatch <jnogatch@gmail.com>  Tue, 03 Sep 2013 15:49:45 -0700

wsjtx (1.1.r3496-1) unstable; urgency=low

  * wsjtx 1.1 combines JT-65 & JT-9

 -- John T. Nogatch <jnogatch@gmail.com>  Fri, 19 Jul 2013 20:52:50 -0700

wsjtx (1.0.r3323-2) unstable; urgency=low

  * added *.txt *.dat save/Samples/130418_1742.wav
  * update jtx script updates those files in ~/.wsjtx/
  * wider device name boxes in config dialog

 -- John T. Nogatch <jnogatch@gmail.com>  Tue, 04 Jun 2013 08:04:09 -0700

wsjtx (1.0.r3323-1) unstable; urgency=low

  * Initial release (Closes: #710804)

 -- John T. Nogatch <jnogatch@gmail.com>  Mon, 03 Jun 2013 08:49:27 -0700
