=== debian/control ===
Source: wsjtx
Section: hamradio
Priority: optional
Maintainer: Debian Hams group <debian-hams@lists.debian.org>
Uploaders: John T. Nogatch <jnogatch@gmail.com>, Kamal Mostafa <kamal@whence.com>
Build-Depends: debhelper (>= 8.0.0), qt4-dev-tools, qt4-qmake, libqt4-dev, gfortran, hardening-wrapper, libfftw3-dev, libhamlib-dev, libqwt5-qt4-dev, libsamplerate0-dev, portaudio19-dev (>= 19+svn20111121-1~) 
Standards-Version: 3.9.4
Homepage: http://www.physics.princeton.edu/pulsar/K1JT/wsjtx.html
#Vcs-Git: git://git.debian.org/collab-maint/wsjt.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/wsjt.git;a=summary

Package: wsjtx
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libhamlib-utils
Description: weak-signal amateur radio communications
 wsjtx is designed to facilitate Amateur Radio communication under extreme 
 weak-signal conditions using modes JT9 and JT65.
