=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
#
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

# enable hardening-wrapper
export DEB_BUILD_HARDENING=1
export DEB_BUILD_HARDENING_FORMAT=1
export DEB_BUILD_HARDENING_FORTIFY=1
export DEB_BUILD_HARDENING_STACKPROTECTOR=1
# PIE causes wsjtx to seg fault immediately
export DEB_BUILD_HARDENING_PIE=0
export DEB_BUILD_HARDENING_RELRO=1
export DEB_BUILD_HARDENING_BINDNOW=1

override_dh_auto_configure:
	echo "running debian/rules/override_dh_auto_configure"
	qmake-qt4

override_dh_auto_build:
	echo "running debian/rules/override_dh_auto_build"
	cd lib; make -f Makefile.linux
	make

%:
	dh $@
