## wsjtx 2.0.0+repack

=== debian/changelog ===
wsjtx (2.0.0+repack-2) unstable; urgency=medium

  * Mark wsjtx as Arch: linux-any (needs libudev-dev).
  * Mark wsjtx-doc as Multi-Arch: foreign.

 -- Christoph Berg <myon@debian.org>  Sat, 12 Jan 2019 15:41:05 +0100

wsjtx (2.0.0+repack-1) unstable; urgency=medium

  * New upstream version. (Closes: #906899)
    + PTT device is properly configurable. (Closes: #752367)
  * Add dependency on libqt5multimedia5-plugins, otherwise no soundcards are
    visible at all and startup fails. (Closes: #915999)
  * Mark wsjtx-doc as Multi-Arch: foreign.
  * Don't drop extra binaries: fcal fmeasure fmtave (frequency calibration
    utils) msk144code qra64code qra64sim (message compiler examples)
    wspr_fsk8d (wspr helper binary).
  * Remove cmake code to check working directory for git or svn changes, fails
    when building from packaging git.
  * Move architecture-independent data files to new wsjtx-data package.
    (The /usr/share/wsjtx/JPLEPH file is 3.7MB in size.)
  * Local documentation is in /usr/share/doc/wsjtx instead of .../WSJT-X.
  * Upstream dropped sample wav files (they are now downloadable via a menu
    option).
  * Use https:// for homepage.
  * Add watch file.
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Tue, 25 Dec 2018 17:59:42 +0100

wsjtx (1.8.0+repack-2) unstable; urgency=medium

  * Fix cloudflare font removal during doc install. (Closes: #914580)

 -- Enrico Rossi <e.rossi@tecnobrain.com>  Wed, 28 Nov 2018 15:37:40 +0100

wsjtx (1.8.0+repack-1) unstable; urgency=low

  [ Enrico Rossi ]
  * port and adapt upstream patch to fix recent gfortran interop
    with ISO C.
  * Removed on-line fonts in Docs.
  * Update patches with descriptions.
  * Upgrade debian/copyright to 1.0

  [ Dave Hibberd ]
  * New Upstream Release (Closes: #752446, #850675, #844861)
  * Patches refreshed
    - 0006 updated to strip out things to not build or install
  * Ship upstream documentation in wsjtx-doc (Closes: #807008)
  * debian/rules rewritten
  * dh compatibility brought to 11

  [ Iain Learmonth ]
  * Tweaks for QT5 compatibility (Closes: #875235)

 -- Enrico Rossi <e.rossi@tecnobrain.com>  Fri, 31 Aug 2018 14:26:06 +0200

wsjtx (1.1.r3496-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Use DEB_BUILD_MAINT_OPTIONS, not DEB_BUILD_OPTIONS.
  * Bump Standards-Version to 3.9.8, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 03 Oct 2016 10:49:56 +0000

wsjtx (1.1.r3496-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch so that the build system can make use of exported buildflags
  * Bump compat level to 9, so that dh exports dpkg-buildflags in the env by
    itself.
  * Use DEB_BUILD_MAINT_OPTIONS=hardening=+all,-pie instead of using
    hardening-wrapper.  Closes: #836664
  * Remove a bunch of useless comments from d/rules.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 26 Sep 2016 15:33:49 +0000
