=== debian/changelog ===
wsjtx (2.0.0.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Hamradio Maintainers <debian-hams@lists.debian.org>  Fri, 29 Jan 2021 11:13:16 +0800
