## wsjtx 2.1.0+repack

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -52,6 +52,7 @@
   tutorial-example1.adoc
   tutorial-example2.adoc
   tutorial-example3.adoc
+  tutorial-example4.adoc
   tutorial-main-window.adoc
   tutorial-wide-graph-settings.adoc
   utilities.adoc
@@ -62,7 +63,6 @@
 
 set (UG_IMGS
   images/130610_2343-wav-80.png
-  images/170709_135615.wav.png
   images/AstroData_2.png
   images/Astronomical_data.png
   images/auto-seq.png
@@ -78,7 +78,10 @@
   images/FreqCal_Graph.png
   images/FreqCal_Results.png
   images/freemsg.png
+  images/ft4_decodes.png
+  images/ft4_waterfall.png
   images/ft8_decodes.png
+  images/FT8_waterfall.png
   images/help-menu.png
   images/JT4F.png
   images/JT65B.png
