=== debian/changelog ===
wsjtx (2.1.0+repack-1) unstable; urgency=medium

  * New upstream version.
  * New build dependency qttools5-dev.

 -- Christoph Berg <myon@debian.org>  Wed, 17 Jul 2019 18:08:25 +0200

wsjtx (2.1.0~rc7+repack-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 05 Jun 2019 14:04:11 +0200

wsjtx (2.1.0~rc5+repack-1) experimental; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Mon, 29 Apr 2019 22:13:26 +0200

wsjtx (2.0.1+repack-1) experimental; urgency=medium

  * New upstream version.
  * Add gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Mar 2019 14:28:24 +0100
