=== debian/control ===
Source: wsjtx
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders:
	John T. Nogatch <jnogatch@gmail.com>,
	Kamal Mostafa <kamal@whence.com>,
	Dave Hibberd <d@vehibberd.com>,
	Enrico Rossi <e.rossi@tecnobrain.com>,
	Christoph Berg <myon@debian.org>,
Section: hamradio
Priority: optional
Build-Depends:
	asciidoc,
	asciidoctor,
	cmake,
	debhelper (>= 11),
	gfortran,
	libboost1.67-dev,
	libfftw3-dev,
	libhamlib-dev (>= 3.2),
	libqt5opengl5-dev,
	libqt5serialport5-dev,
	libqwt-dev,
	libsamplerate0-dev,
	libudev-dev,
	portaudio19-dev,
	qtbase5-dev,
	qttools5-dev,
	qtmultimedia5-dev,
	texinfo,
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/wsjtx
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/wsjtx.git
Homepage: https://physics.princeton.edu/pulsar/k1jt/wsjtx.html

Package: wsjtx
Architecture: linux-any
Depends:
	${misc:Depends},
	${shlibs:Depends},
	libhamlib-utils,
	libqt5multimedia5-plugins,
	wsjtx-data (= ${source:Version}),
Recommends: wsjtx-doc
Description: Weak-signal amateur radio communications
 WSJT-X implements communication protocols or "modes" called FT8, JT4,
 JT9, JT65, QRA64, ISCAT, MSK144, and WSPR, as well as one called Echo
 for detecting and measuring your own radio signals reflected from the
 Moon. These modes were all designed for making reliable, confirmed QSOs
 under extreme weak-signal conditions.

Package: wsjtx-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Conflicts: wsjtx (<< 2.0.0)
Replaces: wsjtx (<< 2.0.0)
Description: Weak-signal amateur radio communications (data files)
 WSJT-X implements communication protocols or "modes" called FT8, JT4,
 JT9, JT65, QRA64, ISCAT, MSK144, and WSPR, as well as one called Echo
 for detecting and measuring your own radio signals reflected from the
 Moon. These modes were all designed for making reliable, confirmed QSOs
 under extreme weak-signal conditions.
 .
 This package contains architecture-independent data files.

Package: wsjtx-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends:
	${shlibs:Depends},
	${misc:Depends},
	fonts-font-awesome,
	fonts-open-sans,
Description: Documentation and examples for the WSJT-X package
 WSJT-X implements communication protocols or "modes" called FT8, JT4,
 JT9, JT65, QRA64, ISCAT, MSK144, and WSPR, as well as one called Echo
 for detecting and measuring your own radio signals reflected from the
 Moon. These modes were all designed for making reliable, confirmed QSOs
 under extreme weak-signal conditions.
 .
 This package provides the software documentation.
